function [ m_white m_black m_w_king m_b_king ] = get_all_markers( image )
%UNTITLED1 Summary of this function goes here
%   Detailed explanation goes here

% See if we get yuv or RGB from camera (preferred YUV)
image = rgb2ycbcr(image);

white = [190, 255, 90,128 ]; % blue
black = [100, 150, 160,255 ];%red
w_king = [80, 170, 75,106 ];%green



m_white = computeColor(image,white);
m_black = computeColor(image,black); 
m_w_king = computeColor(image,w_king);



multi_mask = im2bw(image(:,:,1),0.6);

m_b_king= ((double(image(:,:,2)) *4.8 - double(image(:,:,3))-500)>0).* multi_mask;

sec5 = [[0 0 0 1 0 0 0];
        [0 0 0 1 0 0 0];
        [0 0 0 1 0 0 0];
        [1 1 1 1 1 1 1];
        [0 0 0 1 0 0 0];
        [0 0 0 1 0 0 0];
        [0 0 0 1 0 0 0]];
se4 = [[0 1 1 0];[1 1 1 1];[1 1 1 1]; [0 1 1 0]];

m_b_king = Erosion(m_b_king, sec5);
m_b_king = Dilation(m_b_king, se4);

end



